#!/usr/bin/python3
import os

import analysis
import numpy as np
import datetime

basename = '2023_10_26-17_55_50_results'
temperatures = np.arange(10., 32.+1., 2.)
humidities = [55.]*len(temperatures)

cable_length = 10
dut_name = "my test cable"

time_string = 're-analysis at ' + str(datetime.datetime.now())
sweep_type = 'temperature'
measurement_sets = ['1.3GHz', '1.0GHz', '3.0GHz', '6.0GHz', '10.0GHz']
reference_signal_names = ['S21_PHASE', 'S21_MAGNITUDE']

data_folder = os.path.join('measurements', basename)
os.chdir(data_folder)

analysis.plot_sweep(temperatures, humidities, basename, sweep_type, measurement_sets, reference_signal_names,
                    analysis_config={'type': 'rf_cable', 'normalise': [True, False], 'cable_length': cable_length,
                                     'extra_signal_names': ['RF_FREQUENCY'], 'dut_name': dut_name,
                                     'time_string': time_string})
